Temel API
Enerji Satin Al
Bir TRON adresi icin enerji satin alin
POST
/
api
/
v1
/
energy
/
buy
Enerji Satin Al
curl --request POST \
--url https://api.example.com/api/v1/energy/buy \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/energy/buy"
payload = {
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_address: '<string>', volume: 123, duration: '<string>'})
};
fetch('https://api.example.com/api/v1/energy/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"txid": {},
"price_trx": "<string>",
"reclaim_at": {},
"activation_cost_trx": "<string>"
}Enerji Satin Al
Belirtilen TRON adresine enerji devredilir. Maliyet hesap bakiyenizden dusulur.Istek govdesi
Hedef TRON adresi (T… formati, 34 karakter)
Devredilecek enerji miktari (min 32.000, maks 5.000.000)
Kiralama süresi:
"1h" (yalnızca 1 saat)Yanit
Unique order identifier
Order status:
pending, filled, failedOn-chain transaction id once the delegation is broadcast (null while
pending)Total cost charged from your balance, in TRX
ISO 8601 timestamp when the bandwidth rental is reclaimed (energy is reclaimed automatically by the provider)
Address activation cost in TRX (
"0" if the recipient is already activated)Ornek
curl -X POST https://api.tronrental.com/v1/energy/buy \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 65000,
"duration": "1h"
}'
import requests
resp = requests.post(
"https://api.tronrental.com/v1/energy/buy",
headers={"X-API-Key": "your_api_key"},
json={
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 65000,
"duration": "1h",
},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/energy/buy", {
method: "POST",
headers: {
"X-API-Key": "your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify({
target_address: "TYourRecipientAddress1234567890abc",
volume: 65000,
duration: "1h",
}),
});
console.log(await resp.json());
Response
{
"id": 12345,
"price_trx": "2.75",
"status": "pending"
}
65.000 enerji, halihazirda USDT bulunan bir adrese tek bir USDT transferini karsilar.
Ilk kez USDT alacak alicilar icin 131.000 kullanin (yeni depolama alani olusturma).
⌘I
Enerji Satin Al
